clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions | Variables
CERTTidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "../google/UnnamedNamespaceInHeaderCheck.h"`
`#include "../misc/MoveConstructorInitCheck.h"`
`#include "../misc/NewDeleteOverloadsCheck.h"`
`#include "../misc/NonCopyableObjects.h"`
`#include "../misc/StaticAssertCheck.h"`
`#include "../misc/ThrowByValueCatchByReferenceCheck.h"`
`#include "SetLongJmpCheck.h"`
`#include "StaticObjectExceptionCheck.h"`
`#include "ThrownExceptionTypeCheck.h"`
`#include "VariadicFunctionDefCheck.h"`
Include dependency graph for CERTTidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::cert::CERTModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::cert

## Functions
static ClangTidyModuleRegistry::Add < cert::CERTModule > | clang::tidy::X ("cert-module","Adds lint checks corresponding to CERT secure coding guidelines.")

## Variables
volatile int | clang::tidy::CERTModuleAnchorSource = 0